Adobe 2023 – Known Issues with Plugin Compatibility

Normally, we have a list of products that are compatible but that list is already very long. Instead, we have a list of products that are CONFIRMED TO NOT WORK, by the developer, with the latest Adobe After Effects, Premiere Pro, and Photoshop releases. We will remove the products when they have compatibility.

Cinematte – working on an update

ISP Robuskey – working on an update

Trapcode Suite v15 and v16 – If you have an old version of After Effects and you’re trying to get it to work in Adobe 2023, it is not compatible (or with CC 2022, for that matter). Purchase Red Giant Complete or Maxon One to receive the most recent version (2023) with the latest features.

Video Copilot Twitch

  • Not M1 compatible
  • Not optimized with multi-frame rendering on CC 2022/2023 (will still work but will render without using multi-frame renderer)